Skip to content
GitHub

Set the login of a registry: a new revision, used by the next runs.

PUT
/api/v1/projects/{project}/environments/{environment}/registries/{name}
curl --request PUT \
--url https://example.com/api/v1/projects/example/environments/example/registries/example \
--header 'Content-Type: application/json' \
--data '{ "registry": "example", "username": "example", "password": "example" }'
project
required
string

Project name

environment
required
string

Environment short name

name
required
string

Login name

Media typeapplication/json
object
registry
required

ghcr.io, docker.io, registry.example.com:5000.

string
username
required
string
password
required

A password or access token; write-only.

string
Examplegenerated
{
"registry": "example",
"username": "example",
"password": "example"
}
Media typeapplication/json
object
name
required
string
registry
required

The registry as image references name it (ghcr.io, docker.io).

string
revision
required
integer format: int64
revoked
required

The current revision is revoked: images from the registry are not deployed until a new login is set.

boolean
updatedAt
required
string
Examplegenerated
{
"name": "example",
"registry": "example",
"revision": 1,
"revoked": true,
"updatedAt": "example"
}
Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}

The name or registry is taken

Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}
Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}
Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}